Get Blueprint Resources
Facets Deployment Controller API: GET endpoint to fetch blueprint resources for a given stack name and branch in the designer.
Authorization
basicAuth AuthorizationBasic <token>
In: header
Path Parameters
stackName*string
branchName*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/string/files"[
{
"alpha": true,
"childrenResourceIds": [
"string"
],
"ciNames": [
"string"
],
"clusterId": "string",
"content": "string",
"directory": "string",
"edges": [
{
"blockEdits": true,
"id": "string",
"inputName": "string",
"isInput": true,
"outputName": "string",
"resourceName": "string",
"resourceType": "string"
}
],
"errors": [
{
"blueprintErrorLines": [
0
],
"category": "Syntax Error",
"message": "string",
"overrideErrorLines": [
0
],
"severity": "ERROR"
}
],
"expressions": [
{
"expression": "string"
}
],
"filename": "string",
"iconUrl": "string",
"info": {
"artifactType": "docker_image",
"artifactory": "string",
"ciName": "string",
"criticalResource": true,
"description": "string",
"disabled": true,
"enableKubernetesExplorer": true,
"flavour": "string",
"githubRepositoryUrl": "string",
"inheritFromBase": true,
"namespace": "string",
"overriddenName": "string",
"provided": true,
"repository": "string",
"repositoryPath": "string",
"staticImage": "string",
"strategy": "RollingUpdate",
"tag": "string",
"tfModuleId": "string",
"ui": {
"property1": {},
"property2": {}
},
"version": "string"
},
"overridden": true,
"override": {
"property1": {},
"property2": {}
},
"parentResourceId": "string",
"resourceName": "string",
"resourceType": "string",
"secrets": [
"string"
],
"stackName": "string",
"substack": true,
"syncCtxMd5": "string",
"syncId": "string",
"templatedResource": true,
"variables": [
"string"
],
"version": "string"
}
]{
"approvalUrl": "string",
"code": "string",
"errorCode": "string",
"message": "string",
"missingPermissions": [
"string"
]
}"string"{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}Enable/Disable Resources in a Blueprint
Facets Deployment Controller API: PUT endpoint to enable or disable resources in a blueprint by stack name, toggling each resource by type and name.
Update a Resource
Facets Deployment Controller API: PUT endpoint to update an existing resource in a blueprint branch within the designer.